import { TradeSlotType } from "./definitions/adventureland.js";
import { PingCompensatedCharacter } from "./PingCompensatedCharacter.js";
export declare class Merchant extends PingCompensatedCharacter {
    ctype: "merchant";
    closeMerchantStand(): Promise<void>;
    /**
     * Fish for items
     *
     * @return {*}  {Promise<void>}
     * @memberof Merchant
     */
    fish(): Promise<void>;
    joinGiveaway(slot: TradeSlotType, id: string, rid: string): Promise<void>;
    listForSale(itemPos: number, tradeSlot: TradeSlotType, price: number, quantity?: number): unknown;
    merchantCourage(): Promise<void>;
    mine(): Promise<void>;
    mluck(target: string): Promise<void>;
    openMerchantStand(): Promise<void>;
    massProduction(): Promise<void>;
}
